Index: /trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.Designer.cs	(revision 843)
+++ /trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.Designer.cs	(revision 844)
@@ -24,4 +24,9 @@
     /// </summary>
     private void InitializeComponent() {
+      this.components = new System.ComponentModel.Container();
+      System.Windows.Forms.ListViewItem listViewItem1 = new System.Windows.Forms.ListViewItem(new string[] {
+            "",
+            "Test"}, -1);
+      System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(HiveServerManagementConsole));
       this.menuStrip1 = new System.Windows.Forms.MenuStrip();
       this.informationToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
@@ -31,5 +36,5 @@
       this.scClientControl = new System.Windows.Forms.SplitContainer();
       this.tvClientControl = new System.Windows.Forms.TreeView();
-      this.listView1 = new System.Windows.Forms.ListView();
+      this.lvClientControl = new System.Windows.Forms.ListView();
       this.tpJobControl = new System.Windows.Forms.TabPage();
       this.scJobControl = new System.Windows.Forms.SplitContainer();
@@ -42,4 +47,5 @@
       this.treeView2 = new System.Windows.Forms.TreeView();
       this.listView2 = new System.Windows.Forms.ListView();
+      this.imageList1 = new System.Windows.Forms.ImageList(this.components);
       this.menuStrip1.SuspendLayout();
       this.tcManagementConsole.SuspendLayout();
@@ -119,5 +125,5 @@
       // scClientControl.Panel2
       // 
-      this.scClientControl.Panel2.Controls.Add(this.listView1);
+      this.scClientControl.Panel2.Controls.Add(this.lvClientControl);
       this.scClientControl.Size = new System.Drawing.Size(637, 346);
       this.scClientControl.SplitterDistance = 139;
@@ -132,12 +138,16 @@
       this.tvClientControl.TabIndex = 0;
       // 
-      // listView1
-      // 
-      this.listView1.Dock = System.Windows.Forms.DockStyle.Fill;
-      this.listView1.Location = new System.Drawing.Point(0, 0);
-      this.listView1.Name = "listView1";
-      this.listView1.Size = new System.Drawing.Size(494, 346);
-      this.listView1.TabIndex = 0;
-      this.listView1.UseCompatibleStateImageBehavior = false;
+      // lvClientControl
+      // 
+      this.lvClientControl.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.lvClientControl.ImeMode = System.Windows.Forms.ImeMode.Off;
+      this.lvClientControl.Items.AddRange(new System.Windows.Forms.ListViewItem[] {
+            listViewItem1});
+      this.lvClientControl.LargeImageList = this.imageList1;
+      this.lvClientControl.Location = new System.Drawing.Point(0, 0);
+      this.lvClientControl.Name = "lvClientControl";
+      this.lvClientControl.Size = new System.Drawing.Size(494, 346);
+      this.lvClientControl.TabIndex = 0;
+      this.lvClientControl.UseCompatibleStateImageBehavior = false;
       // 
       // tpJobControl
@@ -248,4 +258,12 @@
       this.listView2.TabIndex = 0;
       this.listView2.UseCompatibleStateImageBehavior = false;
+      // 
+      // imageList1
+      // 
+      this.imageList1.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("imageList1.ImageStream")));
+      this.imageList1.TransparentColor = System.Drawing.Color.Transparent;
+      this.imageList1.Images.SetKeyName(0, "Monitor_red.png");
+      this.imageList1.Images.SetKeyName(1, "Monitor_yellow.png");
+      this.imageList1.Images.SetKeyName(2, "Monitor_green.png");
       // 
       // HiveServerManagementConsole
@@ -291,5 +309,5 @@
     private System.Windows.Forms.TabPage tpUserControl;
     private System.Windows.Forms.TreeView tvClientControl;
-    private System.Windows.Forms.ListView listView1;
+    private System.Windows.Forms.ListView lvClientControl;
     private System.Windows.Forms.SplitContainer scJobControl;
     private System.Windows.Forms.ListView listView3;
@@ -300,4 +318,5 @@
     private System.Windows.Forms.TreeView tvUserControl;
     private System.Windows.Forms.ListView listView4;
+    private System.Windows.Forms.ImageList imageList1;
   }
 }
Index: /trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.cs	(revision 843)
+++ /trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.cs	(revision 844)
@@ -42,10 +42,13 @@
     List<Job> jobs = null;
     List<UserGroup> userGroups = null;
-    
+
     public HiveServerManagementConsole() {
       InitializeComponent();
+      addItems();
+    }
 
+    private void addItems() {
       IClientManager clientManager =
-        ServiceLocator.GetClientManager();
+          ServiceLocator.GetClientManager();
 
       IJobManager jobManager =
@@ -55,13 +58,20 @@
         ServiceLocator.GetUserRoleManager();
 
-     // clients = clientManager.GetAllClientGroups();
+      clientManager.GetAllUpTimeStatistics();
+      clients = clientManager.GetAllClientGroups();
       jobs = jobManager.GetAllJobs();
       userGroups = userRoleManager.GetAllUserGroups();
-     // foreach (ClientGroup cg in clients) {
-     //   tvClientControl.Nodes.Add(cg.Name);
+      lvClientControl.Items.Clear();
+      int count = 0;
+      foreach (ClientGroup cg in clients) {
+        tvClientControl.Nodes.Add(cg.Name);
+        ListViewGroup lvg = new ListViewGroup(cg.Name, HorizontalAlignment.Left);
+        lvClientControl.Groups.Add(lvg);
         foreach (ClientInfo ci in clientManager.GetAllClients()) {
-          tvClientControl.SelectedNode.Nodes.Add(ci.Name);
+          tvClientControl.Nodes[tvClientControl.Nodes.Count - 1].Nodes.Add(ci.Name);
+          lvClientControl.Groups[lvClientControl.Groups.Count].Items.Add(new ListViewItem(ci.Name, count));
+          count = (count + 1) % 3;
         }
-     // }
+      }
       foreach (Job job in jobs) {
         tvJobControl.Nodes.Add(job.JobId.ToString());
@@ -70,5 +80,4 @@
         tvUserControl.Nodes.Add(ug.UserGroupId.ToString());
       }
-
     }
 
Index: /trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.resx
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.resx	(revision 843)
+++ /trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.resx	(revision 844)
@@ -121,3 +121,86 @@
     <value>17, 17</value>
   </metadata>
+  <metadata name="imageList1.TrayLocation" type="System.Drawing.Point, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a">
+    <value>126, 17</value>
+  </metadata>
+  <data name="imageList1.ImageStream" mimetype="application/x-microsoft.net.object.binary.base64">
+    <value>
+        AAEAAAD/////AQAAAAAAAAAMAgAAAFdTeXN0ZW0uV2luZG93cy5Gb3JtcywgVmVyc2lvbj0yLjAuMC4w
+        LCBDdWx0dXJlPW5ldXRyYWwsIFB1YmxpY0tleVRva2VuPWI3N2E1YzU2MTkzNGUwODkFAQAAACZTeXN0
+        ZW0uV2luZG93cy5Gb3Jtcy5JbWFnZUxpc3RTdHJlYW1lcgEAAAAERGF0YQcCAgAAAAkDAAAADwMAAAAM
+        EQAAAk1TRnQBSQFMAgEBAwEAAQUBAAEEAQABIAEAASABAAT/AQkBAAj/AUIBTQE2AQQGAAE2AQQCAAEo
+        AwABgAMAASADAAEBAQABCAYAARAYAAGAAgABgAMAAoABAAGAAwABgAEAAYABAAKAAgADwAEAAcAB3AHA
+        AQAB8AHKAaYBAAEzBQABMwEAATMBAAEzAQACMwIAAxYBAAMcAQADIgEAAykBAANVAQADTQEAA0IBAAM5
+        AQABgAF8Af8BAAJQAf8BAAGTAQAB1gEAAf8B7AHMAQABxgHWAe8BAAHWAucBAAGQAakBrQIAAf8BMwMA
+        AWYDAAGZAwABzAIAATMDAAIzAgABMwFmAgABMwGZAgABMwHMAgABMwH/AgABZgMAAWYBMwIAAmYCAAFm
+        AZkCAAFmAcwCAAFmAf8CAAGZAwABmQEzAgABmQFmAgACmQIAAZkBzAIAAZkB/wIAAcwDAAHMATMCAAHM
+        AWYCAAHMAZkCAALMAgABzAH/AgAB/wFmAgAB/wGZAgAB/wHMAQABMwH/AgAB/wEAATMBAAEzAQABZgEA
+        ATMBAAGZAQABMwEAAcwBAAEzAQAB/wEAAf8BMwIAAzMBAAIzAWYBAAIzAZkBAAIzAcwBAAIzAf8BAAEz
+        AWYCAAEzAWYBMwEAATMCZgEAATMBZgGZAQABMwFmAcwBAAEzAWYB/wEAATMBmQIAATMBmQEzAQABMwGZ
+        AWYBAAEzApkBAAEzAZkBzAEAATMBmQH/AQABMwHMAgABMwHMATMBAAEzAcwBZgEAATMBzAGZAQABMwLM
+        AQABMwHMAf8BAAEzAf8BMwEAATMB/wFmAQABMwH/AZkBAAEzAf8BzAEAATMC/wEAAWYDAAFmAQABMwEA
+        AWYBAAFmAQABZgEAAZkBAAFmAQABzAEAAWYBAAH/AQABZgEzAgABZgIzAQABZgEzAWYBAAFmATMBmQEA
+        AWYBMwHMAQABZgEzAf8BAAJmAgACZgEzAQADZgEAAmYBmQEAAmYBzAEAAWYBmQIAAWYBmQEzAQABZgGZ
+        AWYBAAFmApkBAAFmAZkBzAEAAWYBmQH/AQABZgHMAgABZgHMATMBAAFmAcwBmQEAAWYCzAEAAWYBzAH/
+        AQABZgH/AgABZgH/ATMBAAFmAf8BmQEAAWYB/wHMAQABzAEAAf8BAAH/AQABzAEAApkCAAGZATMBmQEA
+        AZkBAAGZAQABmQEAAcwBAAGZAwABmQIzAQABmQEAAWYBAAGZATMBzAEAAZkBAAH/AQABmQFmAgABmQFm
+        ATMBAAGZATMBZgEAAZkBZgGZAQABmQFmAcwBAAGZATMB/wEAApkBMwEAApkBZgEAA5kBAAKZAcwBAAKZ
+        Af8BAAGZAcwCAAGZAcwBMwEAAWYBzAFmAQABmQHMAZkBAAGZAswBAAGZAcwB/wEAAZkB/wIAAZkB/wEz
+        AQABmQHMAWYBAAGZAf8BmQEAAZkB/wHMAQABmQL/AQABzAMAAZkBAAEzAQABzAEAAWYBAAHMAQABmQEA
+        AcwBAAHMAQABmQEzAgABzAIzAQABzAEzAWYBAAHMATMBmQEAAcwBMwHMAQABzAEzAf8BAAHMAWYCAAHM
+        AWYBMwEAAZkCZgEAAcwBZgGZAQABzAFmAcwBAAGZAWYB/wEAAcwBmQIAAcwBmQEzAQABzAGZAWYBAAHM
+        ApkBAAHMAZkBzAEAAcwBmQH/AQACzAIAAswBMwEAAswBZgEAAswBmQEAA8wBAALMAf8BAAHMAf8CAAHM
+        Af8BMwEAAZkB/wFmAQABzAH/AZkBAAHMAf8BzAEAAcwC/wEAAcwBAAEzAQAB/wEAAWYBAAH/AQABmQEA
+        AcwBMwIAAf8CMwEAAf8BMwFmAQAB/wEzAZkBAAH/ATMBzAEAAf8BMwH/AQAB/wFmAgAB/wFmATMBAAHM
+        AmYBAAH/AWYBmQEAAf8BZgHMAQABzAFmAf8BAAH/AZkCAAH/AZkBMwEAAf8BmQFmAQAB/wKZAQAB/wGZ
+        AcwBAAH/AZkB/wEAAf8BzAIAAf8BzAEzAQAB/wHMAWYBAAH/AcwBmQEAAf8CzAEAAf8BzAH/AQAC/wEz
+        AQABzAH/AWYBAAL/AZkBAAL/AcwBAAJmAf8BAAFmAf8BZgEAAWYC/wEAAf8CZgEAAf8BZgH/AQAC/wFm
+        AQABIQEAAaUBAANfAQADdwEAA4YBAAOWAQADywEAA7IBAAPXAQAD3QEAA+MBAAPqAQAD8QEAA/gBAAHw
+        AfsB/wEAAaQCoAEAA4ADAAH/AgAB/wMAAv8BAAH/AwAB/wEAAf8BAAL/AgAD/wEADvkDzw/5DjgDzw84
+        DigDzw8oIAAL+QG1Ae4B8AHxAfACvAEHAbUM+Qs4AbUB7gHwAfEB8AK8AQcBtQw4CygBtQHuAfAB8QHw
+        ArwBBwG1DCggAAn5Ae8C8APxAfABvALxAgcB7wr5CTgB7wLwA/EB8AG8AvECBwHvCjgJKAHvAvAD8QHw
+        AbwC8QIHAe8KKCAACPkBBwO8AfAC8QHwAbwB8QG8AgcB7wEHAa4I+Qg4AQcDvAHwAvEB8AG8AfEBvAIH
+        Ae8BBwGuCDgIKAEHA7wB8ALxAfABvAHxAbwCBwHvAQcBrggoIAAH+QQHAbwB8ALxAfABvAHwAgcC7wGS
+        Ae8I+Qc4BAcBvAHwAvEB8AG8AfACBwLvAZIB7wg4BygEBwG8AfAC8QHwAbwB8AIHAu8BkgHvCCggAAf5
+        Ae8EBwG8AvABvAMHAe8B9wLtAe8I+Qc4Ae8EBwG8AvABvAMHAe8B9wLtAe8IOAcoAe8EBwG8AvABvAMH
+        Ae8B9wLtAe8IKCAACPkFBwK8AgcB7wGSA+wB9wHsCPkIOAUHArwCBwHvAZID7AH3AewIOAgoBQcCvAIH
+        Ae8BkgPsAfcB7AgoIAAJ+QH3AQcD7wH3Ae0B7AHrAm0B7AH3Ae8C9wEHAa4F+Qk4AfcBBwPvAfcB7QHs
+        AesCbQHsAfcB7wL3AQcBrgU4CSgB9wEHA+8B9wHtAewB6wJtAewB9wHvAvcBBwGuBSggAAr5AYYBrgLt
+        A/gB7AHtAfcB7wEHAe4B8AG8AQcB7QX5CjgBhgGuAu0D+AHsAe0B9wHvAQcB7gHwAbwBBwHtBTgKKAGG
+        Aa4C7QP4AewB7QH3Ae8BBwHuAfABvAEHAe0FKCAADPkBrgHtAewC7QHvAQcDvAEHAbUCBwHtBfkMOAGu
+        Ae0B7ALtAe8BBwO8AQcBtQIHAe0FOAwoAa4B7QHsAu0B7wEHA7wBBwG1AgcB7QUoIAAI+QGGAa4B7QGS
+        AhwB7wMHAbUBzwKnAoUBzwG8AZIF+Qg4AYYBrgHtAZICHAHvAwcBtQHPAqcChQHPAbwBkgU4CCgBhgGu
+        Ae0BkgIcAe8DBwG1Ac8CpwKFAc8BvAGSBSggAAP5Aa4B7AHtAe8FBwHvAbUBzwGGAqYDhQKmAccBzwHw
+        AfcF+QM4Aa4B7AHtAe8FBwHvAbUBzwGGAqYDhQKmAccBzwHwAfcFOAMoAa4B7AHtAe8FBwHvAbUBzwGG
+        AqYDhQKmAccBzwHwAfcFKCAAAvkB7QEcAe8DBwG1Aa4ChgGFAQQChQGmBqcBxwHPAfAB9wX5AjgB7QEc
+        Ae8DBwG1Aa4ChgGFAQQChQGmBqcBxwHPAfAB9wU4AigB7QEcAe8DBwG1Aa4ChgGFAQQChQGmBqcBxwHP
+        AfAB9wUoIAAB+QHPAvcBtQGuAYYFBASFCKcBrQG8Ae8F+QE4Ac8C9wG1Aa4BhgUEBIUIpwGtAbwB7wU4
+        ASgBzwL3AbUBrgGGBQQEhQinAa0BvAHvBSggAAL5AfcIBASFAaYBpwitAbwB7wGnBPkCOAH3CAQEhQGm
+        AacIrQG8Ae8BpwQ4AigB9wgEBIUBpgGnCK0BvAHvAacEKCAAAvkB7wKmAYYCpgIEBYUBxwGtCM8BvAEH
+        Aa4E+QI4Ae8CpgGGAqYCBAWFAccBrQjPAbwBBwGuBDgCKAHvAqYBhgKmAgQFhQHHAa0IzwG8AQcBrgQo
+        IAAC+QHvBYYBpgWFAaEBxwbPA+YB7gEHAa4E+QI4Ae8FhgGmBYUBoQHHBs8D5gHuAQcBrgQ4AigB7wWG
+        AaYFhQGhAccGzwPmAe4BBwGuBCggAAL5Ae8BrgSGBYUCoQGnArQG1QHmAQkB7gHtBPkCOAHvAa4EhgWF
+        AqEBpwK0BtUB5gEJAe4B7QQ4AigB7wGuBIYFhQKhAacCtAbVAeYBCQHuAe0EKCAAAvkB7wGuBIYEhQGh
+        AccBoQGtCNYB1QEJAbwB7QT5AjgB7wGuBIYEhQGhAccBoQGtCNYB1QEJAbwB7QQ4AigB7wGuBIYEhQGh
+        AccBoQGtCNYB1QEJAbwB7QQoIAAC+QHvAe0BhgGuAYsBpgOFAaECxwGhAc8K1gHwAfcE+QI4Ae8B7QGG
+        Aa4BiwGmA4UBoQLHAaEBzwrWAfAB9wQ4AigB7wHtAYYBrgGLAaYDhQGhAscBoQHPCtYB8AH3BCggAAL5
+        AbUB9wGGAc8BrQSFAaEDxwHVCAkB3AHWAfAB9wT5AjgBtQH3AYYBzwGtBIUBoQPHAdUICQHcAdYB8AH3
+        BDgCKAG1AfcBhgHPAa0EhQGhA8cB1QgJAdwB1gHwAfcEKCAAAvkBzwHvAYYBzwGGA4UFxwHWAd0GCQHd
+        AgkB8QH3BPkCOAHPAe8BhgHPAYYDhQXHAdYB3QYJAd0CCQHxAfcEOAIoAc8B7wGGAc8BhgOFBccB1gHd
+        BgkB3QIJAfEB9wQoIAAD+QHvAYYBzwGmAoUFxwHIAQkJ3QEJAfEB7wHPA/kDOAHvAYYBzwGmAoUFxwHI
+        AQkJ3QEJAfEB7wHPAzgDKAHvAYYBzwGmAoUFxwHIAQkJ3QEJAfEB7wHPAyggAAP5Ae8BhgGtAoUFxwFC
+        Ac4F3QUZAQkB8QHvAa4D+QM4Ae8BhgGtAoUFxwFCAc4F3QUZAQkB8QHvAa4DOAMoAe8BhgGtAoUFxwFC
+        Ac4F3QUZAQkB8QHvAa4DKCAAA/kB7wKGAoUFxwFCAdUKGQEJAfIBBwGuA/kDOAHvAoYChQXHAUIB1QoZ
+        AQkB8gEHAa4DOAMoAe8ChgKFBccBQgHVChkBCQHyAQcBrgMoIAAD+QHvAYYChQGhBccBQgHWAfQFGQT0
+        ARkB8QG8Aa4D+QM4Ae8BhgKFAaEFxwFCAdYB9AUZBPQBGQHxAbwBrgM4AygB7wGGAoUBoQXHAUIB1gH0
+        BRkE9AEZAfEBvAGuAyggAAP5Ae8BiwKFAaEExwFCAcgB3Qf0AxkBCQHdAfEB7QP5AzgB7wGLAoUBoQTH
+        AUIByAHdB/QDGQEJAd0B8QHtAzgDKAHvAYsChQGhBMcBQgHIAd0H9AMZAQkB3QHxAe0DKCAAA/kBtQGu
+        AoUFxwH8Ac4CGQTdBgkB8QHzAe0D+QM4AbUBrgKFBccB/AHOAhkE3QYJAfEB8wHtAzgDKAG1Aa4ChQXH
+        AfwBzgIZBN0GCQHxAfMB7QMoIAAD+QG1AZIChQOhAscBpwGtAbUCCQG7Ae4DvAHuAQcEtQT5AzgBtQGS
+        AoUDoQLHAacBrQG1AgkBuwHuA7wB7gEHBLUEOAMoAbUBkgKFA6ECxwGnAa0BtQIJAbsB7gO8Ae4BBwS1
+        BCggAAP5Ac8B9wKGAs8CtQIHAu4CBwS1Ac8K+QM4Ac8B9wKGAs8CtQIHAu4CBwS1Ac8KOAMoAc8B9wKG
+        As8CtQIHAu4CBwS1Ac8KKCAAA/kBzwUHA7UBzxP5AzgBzwUHA7UBzxM4AygBzwUHA7UBzxMoIAAg+SA4
+        ICggAAFCAU0BPgcAAT4DAAEoAwABgAMAASADAAEBAQABAQYAAQIWAAP//wD/AAMACw==
+</value>
+  </data>
 </root>
Index: /trunk/sources/HeuristicLab.Hive.Server.Console/ServiceLocator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.Console/ServiceLocator.cs	(revision 843)
+++ /trunk/sources/HeuristicLab.Hive.Server.Console/ServiceLocator.cs	(revision 844)
@@ -24,5 +24,5 @@
             new NetTcpBinding(),
             new EndpointAddress("net.tcp://" + Address + ":" + Port + "/HiveServerConsole/ClientManager"));
-
+        
         clientManager = factory.CreateChannel();
       }