Index: /trunk/sources/HeuristicLab.PluginInfrastructure.GUI/ManagerForm.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure.GUI/ManagerForm.cs	(revision 853)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure.GUI/ManagerForm.cs	(revision 854)
@@ -37,5 +37,5 @@
     private Dictionary<PluginTag, PluginAction> actions = new Dictionary<PluginTag, PluginAction>();
     private List<PluginDescription> allAvailablePlugins = new List<PluginDescription>();
-    private string pluginDir = Application.StartupPath + "/" + HeuristicLab.PluginInfrastructure.GUI.Properties.Settings.Default.PluginDir;
+    private string pluginDir = Application.StartupPath + "/" + HeuristicLab.PluginInfrastructure.Properties.Settings.Default.PluginDir;
     private string cacheDir = Application.StartupPath + "/" + HeuristicLab.PluginInfrastructure.GUI.Properties.Settings.Default.CacheDir;
     private string backupDir = Application.StartupPath + "/" + HeuristicLab.PluginInfrastructure.GUI.Properties.Settings.Default.BackupDir;
Index: /trunk/sources/HeuristicLab.PluginInfrastructure.GUI/PluginNameTransform.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure.GUI/PluginNameTransform.cs	(revision 853)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure.GUI/PluginNameTransform.cs	(revision 854)
@@ -33,5 +33,5 @@
   class PluginNameTransform : INameTransform{
 
-    private string pluginDir = Application.StartupPath + "\\" + HeuristicLab.PluginInfrastructure.GUI.Properties.Settings.Default.PluginDir + "\\";    
+    private string pluginDir = Application.StartupPath + "\\" + HeuristicLab.PluginInfrastructure.Properties.Settings.Default.PluginDir + "\\";    
     #region INameTransform Members
 
Index: /trunk/sources/HeuristicLab.PluginInfrastructure.GUI/Properties/Settings.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure.GUI/Properties/Settings.Designer.cs	(revision 853)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure.GUI/Properties/Settings.Designer.cs	(revision 854)
@@ -1,27 +1,6 @@
-#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-//------------------------------------------------------------------------------
+﻿//------------------------------------------------------------------------------
 // <auto-generated>
 //     This code was generated by a tool.
-//     Runtime Version:2.0.50727.1433
+//     Runtime Version:2.0.50727.3053
 //
 //     Changes to this file may cause incorrect behavior and will be lost if
@@ -59,5 +38,5 @@
         }
         
-        [global::System.Configuration.UserScopedSettingAttribute()]
+        [global::System.Configuration.ApplicationScopedSettingAttribute()]
         [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
         [global::System.Configuration.DefaultSettingValueAttribute("plugins\\cache")]
@@ -66,22 +45,7 @@
                 return ((string)(this["CacheDir"]));
             }
-            set {
-                this["CacheDir"] = value;
-            }
         }
         
-        [global::System.Configuration.UserScopedSettingAttribute()]
-        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
-        [global::System.Configuration.DefaultSettingValueAttribute("plugins")]
-        public string PluginDir {
-            get {
-                return ((string)(this["PluginDir"]));
-            }
-            set {
-                this["PluginDir"] = value;
-            }
-        }
-        
-        [global::System.Configuration.UserScopedSettingAttribute()]
+        [global::System.Configuration.ApplicationScopedSettingAttribute()]
         [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
         [global::System.Configuration.DefaultSettingValueAttribute("plugins\\backup")]
@@ -90,10 +54,7 @@
                 return ((string)(this["BackupDir"]));
             }
-            set {
-                this["BackupDir"] = value;
-            }
         }
         
-        [global::System.Configuration.UserScopedSettingAttribute()]
+        [global::System.Configuration.ApplicationScopedSettingAttribute()]
         [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
         [global::System.Configuration.DefaultSettingValueAttribute("plugins\\temp")]
@@ -102,7 +63,4 @@
                 return ((string)(this["TempDir"]));
             }
-            set {
-                this["TempDir"] = value;
-            }
         }
     }
Index: /trunk/sources/HeuristicLab.PluginInfrastructure.GUI/Properties/Settings.settings
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure.GUI/Properties/Settings.settings	(revision 853)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure.GUI/Properties/Settings.settings	(revision 854)
@@ -9,14 +9,11 @@
 &lt;/ArrayOfString&gt;</Value>
     </Setting>
-    <Setting Name="CacheDir" Type="System.String" Scope="User">
+    <Setting Name="CacheDir" Type="System.String" Scope="Application">
       <Value Profile="(Default)">plugins\cache</Value>
     </Setting>
-    <Setting Name="PluginDir" Type="System.String" Scope="User">
-      <Value Profile="(Default)">plugins</Value>
-    </Setting>
-    <Setting Name="BackupDir" Type="System.String" Scope="User">
+    <Setting Name="BackupDir" Type="System.String" Scope="Application">
       <Value Profile="(Default)">plugins\backup</Value>
     </Setting>
-    <Setting Name="TempDir" Type="System.String" Scope="User">
+    <Setting Name="TempDir" Type="System.String" Scope="Application">
       <Value Profile="(Default)">plugins\temp</Value>
     </Setting>
Index: /trunk/sources/HeuristicLab.PluginInfrastructure.GUI/app.config
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure.GUI/app.config	(revision 853)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure.GUI/app.config	(revision 854)
@@ -4,4 +4,7 @@
         <sectionGroup name="userSettings" type="System.Configuration.UserSettingsGroup, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" >
             <section name="HeuristicLab.PluginInfrastructure.GUI.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" allowExeDefinition="MachineToLocalUser" requirePermission="false" />
+        </sectionGroup>
+        <sectionGroup name="applicationSettings" type="System.Configuration.ApplicationSettingsGroup, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" >
+            <section name="HeuristicLab.PluginInfrastructure.GUI.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" requirePermission="false" />
         </sectionGroup>
     </configSections>
@@ -16,9 +19,10 @@
                 </value>
             </setting>
+        </HeuristicLab.PluginInfrastructure.GUI.Properties.Settings>
+    </userSettings>
+    <applicationSettings>
+        <HeuristicLab.PluginInfrastructure.GUI.Properties.Settings>
             <setting name="CacheDir" serializeAs="String">
                 <value>plugins\cache</value>
-            </setting>
-            <setting name="PluginDir" serializeAs="String">
-                <value>plugins</value>
             </setting>
             <setting name="BackupDir" serializeAs="String">
@@ -29,4 +33,4 @@
             </setting>
         </HeuristicLab.PluginInfrastructure.GUI.Properties.Settings>
-    </userSettings>
+    </applicationSettings>
 </configuration>
Index: /trunk/sources/HeuristicLab.PluginInfrastructure/HeuristicLab.PluginInfrastructure.csproj
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure/HeuristicLab.PluginInfrastructure.csproj	(revision 853)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure/HeuristicLab.PluginInfrastructure.csproj	(revision 854)
@@ -3,5 +3,5 @@
     <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
     <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
-    <ProductVersion>9.0.30729</ProductVersion>
+    <ProductVersion>9.0.21022</ProductVersion>
     <SchemaVersion>2.0</SchemaVersion>
     <ProjectGuid>{94186A6A-5176-4402-AE83-886557B53CCA}</ProjectGuid>
@@ -98,5 +98,5 @@
     <None Include="Properties\AssemblyInfo.frame" />
     <None Include="Properties\Settings.settings">
-      <Generator>SettingsSingleFileGenerator</Generator>
+      <Generator>PublicSettingsSingleFileGenerator</Generator>
       <LastGenOutput>Settings.Designer.cs</LastGenOutput>
     </None>
Index: /trunk/sources/HeuristicLab.PluginInfrastructure/Properties/Settings.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure/Properties/Settings.Designer.cs	(revision 853)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure/Properties/Settings.Designer.cs	(revision 854)
@@ -1,27 +1,6 @@
-#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-//------------------------------------------------------------------------------
+﻿//------------------------------------------------------------------------------
 // <auto-generated>
 //     This code was generated by a tool.
-//     Runtime Version:2.0.50727.1433
+//     Runtime Version:2.0.50727.3053
 //
 //     Changes to this file may cause incorrect behavior and will be lost if
@@ -35,5 +14,5 @@
     [global::System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
     [global::System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.VisualStudio.Editors.SettingsDesigner.SettingsSingleFileGenerator", "9.0.0.0")]
-    internal sealed partial class Settings : global::System.Configuration.ApplicationSettingsBase {
+    public sealed partial class Settings : global::System.Configuration.ApplicationSettingsBase {
         
         private static Settings defaultInstance = ((Settings)(global::System.Configuration.ApplicationSettingsBase.Synchronized(new Settings())));
@@ -45,5 +24,5 @@
         }
         
-        [global::System.Configuration.UserScopedSettingAttribute()]
+        [global::System.Configuration.ApplicationScopedSettingAttribute()]
         [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
         [global::System.Configuration.DefaultSettingValueAttribute("plugins")]
@@ -52,7 +31,4 @@
                 return ((string)(this["PluginDir"]));
             }
-            set {
-                this["PluginDir"] = value;
-            }
         }
     }
Index: /trunk/sources/HeuristicLab.PluginInfrastructure/Properties/Settings.settings
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure/Properties/Settings.settings	(revision 853)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure/Properties/Settings.settings	(revision 854)
@@ -3,5 +3,5 @@
   <Profiles />
   <Settings>
-    <Setting Name="PluginDir" Type="System.String" Scope="User">
+    <Setting Name="PluginDir" Type="System.String" Scope="Application">
       <Value Profile="(Default)">plugins</Value>
     </Setting>
Index: /trunk/sources/HeuristicLab.PluginInfrastructure/app.config
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure/app.config	(revision 853)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure/app.config	(revision 854)
@@ -2,9 +2,9 @@
 <configuration>
     <configSections>
-        <sectionGroup name="userSettings" type="System.Configuration.UserSettingsGroup, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" >
-            <section name="HeuristicLab.PluginInfrastructure.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" allowExeDefinition="MachineToLocalUser" requirePermission="false" />
+        <sectionGroup name="applicationSettings" type="System.Configuration.ApplicationSettingsGroup, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" >
+            <section name="HeuristicLab.PluginInfrastructure.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" requirePermission="false" />
         </sectionGroup>
     </configSections>
-    <userSettings>
+    <applicationSettings>
         <HeuristicLab.PluginInfrastructure.Properties.Settings>
             <setting name="PluginDir" serializeAs="String">
@@ -12,4 +12,4 @@
             </setting>
         </HeuristicLab.PluginInfrastructure.Properties.Settings>
-    </userSettings>
+    </applicationSettings>
 </configuration>
Index: /trunk/sources/HeuristicLab/MergeConfigs.cmd
===================================================================
--- /trunk/sources/HeuristicLab/MergeConfigs.cmd	(revision 853)
+++ /trunk/sources/HeuristicLab/MergeConfigs.cmd	(revision 854)
@@ -1,1 +1,3 @@
+ConfigMerger "%SolutionDir%\HeuristicLab.PluginInfrastructure\%Outdir%\HeuristicLab.PluginInfrastructure.dll.config" "HeuristicLab.exe.config"
+ConfigMerger "%SolutionDir%\HeuristicLab.PluginInfrastructure.GUI\%Outdir%\HeuristicLab.PluginInfrastructure.GUI.dll.config" "HeuristicLab.exe.config"
 ConfigMerger "%SolutionDir%\HeuristicLab.Settings\%Outdir%\HeuristicLab.Settings-3.2.dll.config" "HeuristicLab.exe.config"
Index: /trunk/sources/HeuristicLab/Properties/Settings.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab/Properties/Settings.Designer.cs	(revision 853)
+++ /trunk/sources/HeuristicLab/Properties/Settings.Designer.cs	(revision 854)
@@ -1,27 +1,6 @@
-#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-//------------------------------------------------------------------------------
+﻿//------------------------------------------------------------------------------
 // <auto-generated>
 //     This code was generated by a tool.
-//     Runtime Version:2.0.50727.1433
+//     Runtime Version:2.0.50727.3053
 //
 //     Changes to this file may cause incorrect behavior and will be lost if
@@ -45,26 +24,20 @@
         }
         
-        [global::System.Configuration.UserScopedSettingAttribute()]
+        [global::System.Configuration.ApplicationScopedSettingAttribute()]
         [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
-        [global::System.Configuration.DefaultSettingValueAttribute("")]
+        [global::System.Configuration.DefaultSettingValueAttribute("unknown")]
         public string User {
             get {
                 return ((string)(this["User"]));
             }
-            set {
-                this["User"] = value;
-            }
         }
         
-        [global::System.Configuration.UserScopedSettingAttribute()]
+        [global::System.Configuration.ApplicationScopedSettingAttribute()]
         [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
-        [global::System.Configuration.DefaultSettingValueAttribute("")]
+        [global::System.Configuration.DefaultSettingValueAttribute("unknown")]
         public string Organization {
             get {
                 return ((string)(this["Organization"]));
             }
-            set {
-                this["Organization"] = value;
-            }
         }
     }
Index: /trunk/sources/HeuristicLab/Properties/Settings.settings
===================================================================
--- /trunk/sources/HeuristicLab/Properties/Settings.settings	(revision 853)
+++ /trunk/sources/HeuristicLab/Properties/Settings.settings	(revision 854)
@@ -3,9 +3,9 @@
   <Profiles />
   <Settings>
-    <Setting Name="User" Type="System.String" Scope="User">
-      <Value Profile="(Default)" />
+    <Setting Name="User" Type="System.String" Scope="Application">
+      <Value Profile="(Default)">unknown</Value>
     </Setting>
-    <Setting Name="Organization" Type="System.String" Scope="User">
-      <Value Profile="(Default)" />
+    <Setting Name="Organization" Type="System.String" Scope="Application">
+      <Value Profile="(Default)">unknown</Value>
     </Setting>
   </Settings>
Index: /trunk/sources/HeuristicLab/app.config
===================================================================
--- /trunk/sources/HeuristicLab/app.config	(revision 853)
+++ /trunk/sources/HeuristicLab/app.config	(revision 854)
@@ -2,18 +2,8 @@
 <configuration>
     <configSections>
-        <sectionGroup name="userSettings" type="System.Configuration.UserSettingsGroup, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" >
-            <section name="HeuristicLab.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" allowExeDefinition="MachineToLocalUser" requirePermission="false" />
+        <sectionGroup name="applicationSettings" type="System.Configuration.ApplicationSettingsGroup, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" >
+            <section name="HeuristicLab.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" requirePermission="false" />
         </sectionGroup>
     </configSections>
-    <userSettings>
-        <HeuristicLab.Properties.Settings>
-            <setting name="User" serializeAs="String">
-                <value />
-            </setting>
-            <setting name="Organization" serializeAs="String">
-                <value />
-            </setting>
-        </HeuristicLab.Properties.Settings>
-    </userSettings>
   <system.data>
     <DbProviderFactories>
@@ -23,3 +13,13 @@
     </DbProviderFactories>
   </system.data>
+  <applicationSettings>
+    <HeuristicLab.Properties.Settings>
+      <setting name="User" serializeAs="String">
+        <value>unknown</value>
+      </setting>
+      <setting name="Organization" serializeAs="String">
+        <value>unknown</value>
+      </setting>
+    </HeuristicLab.Properties.Settings>
+  </applicationSettings>
 </configuration>