Index: trunk/sources/HeuristicLab.Visualization/ChartDataRowsModel.cs
===================================================================
--- trunk/sources/HeuristicLab.Visualization/ChartDataRowsModel.cs	(revision 863)
+++ trunk/sources/HeuristicLab.Visualization/ChartDataRowsModel.cs	(revision 864)
@@ -1,4 +1,5 @@
 ﻿using System;
 using System.Collections.Generic;
+using System.Globalization;
 using System.Xml;
 using HeuristicLab.Core;
@@ -129,56 +130,12 @@
     }
 
-    
-
     public override XmlNode GetXmlNode(string name, XmlDocument document, IDictionary<Guid, IStorable> persistedObjects) {
       throw new NotImplementedException();
-
-//      XmlNode node = base.GetXmlNode(name, document, persistedObjects);
-//
-//      foreach (ChartDataRowsModelColumn column in Columns){
-//        XmlNode columnElement = document.CreateNode(XmlNodeType.Element, "column", null);
-//
-//        XmlAttribute idAttr = document.CreateAttribute("id");
-//        idAttr.Value = (column.ColumnId).ToString();
-//        columnElement.Attributes.Append(idAttr);
-//
-//        for (int i = 0; i < column.Values.Length; i++){
-//          if (i == 0){
-//            columnElement.InnerText += column.Values[i].ToString(CultureInfo.InvariantCulture.NumberFormat);
-//          } else{
-//            columnElement.InnerText += ";" + column.Values[i].ToString(CultureInfo.InvariantCulture.NumberFormat);
-//          }
-//        }
-//        node.AppendChild(columnElement);
-//      }
-//      
-//      return node;
+      
     }
 
-
-    
     public override void Populate(XmlNode node, IDictionary<Guid, IStorable> restoredObjects) {
       throw new NotImplementedException();
 
-//      base.Populate(node, restoredObjects);
-//
-//      foreach (XmlNode column in node.ChildNodes){
-//        XmlAttributeCollection attrs = column.Attributes;
-//        XmlAttribute rowIdAttr = (XmlAttribute)attrs.GetNamedItem("id");
-//        int rowId = int.Parse(rowIdAttr.Value);
-//        AddDataRow(rowId);
-//        string[] tokens = column.InnerText.Split(';');
-//        double[] data = new double[tokens.Length];
-//        for (int i = 0; i < data.Length; i++){
-//          if (tokens[i].Length != 0){
-//            if (
-//              double.TryParse(tokens[i], NumberStyles.Float, CultureInfo.InvariantCulture.NumberFormat, out data[i]) ==
-//              false){
-//              throw new FormatException("Can't parse " + tokens[i] + " as double value.");
-//            }
-//          }
-//        }
-//        Columns[rowId-1].Values = data;
-//      }
     }
   }
Index: trunk/sources/HeuristicLab.Visualization/ChartDataRowsModelDummy.cs
===================================================================
--- trunk/sources/HeuristicLab.Visualization/ChartDataRowsModelDummy.cs	(revision 863)
+++ trunk/sources/HeuristicLab.Visualization/ChartDataRowsModelDummy.cs	(revision 864)
@@ -1,4 +1,5 @@
 ﻿using System;
 using System.Collections.Generic;
+using System.Drawing;
 using System.Linq;
 using System.Text;
@@ -6,17 +7,35 @@
 namespace HeuristicLab.Visualization{
   public class ChartDataRowsModelDummy : ChartDataRowsModel  {
+    
     public ChartDataRowsModelDummy(){
       Random rand = new Random();
 
-      // TODO an neues model interface anpassen   
-      throw new NotImplementedException();
+      // test rows
 
-      // test rows
-//      for (int i = 0; i < 10; i++){
-//        AddDataRow(i);
-//        PushData(i, rand.NextDouble() * 1000);
-//        PushData(i, rand.NextDouble() * 1000);
-//        PushData(i, rand.NextDouble() * 1000);
-//      }
+      // TODO change to call new DataRow("Datarow 1");
+      DataRow row1 = new DataRow();
+      row1.Label = "Datarow 1";
+      row1.Color = Color.Red;
+      DataRow row2 = new DataRow();
+      row2.Label = "Datarow 2";
+      row2.Color = Color.Blue;
+      DataRow row3 = new DataRow();
+      row3.Label = "Datarow 3";
+      row3.Color = Color.DeepPink;
+
+      AddDataRow(row1);
+      AddDataRow(row2);
+      AddDataRow(row3);
+      
+      for (int i = 0; i < 10; i++){
+
+        // TODO Test AddDataRow mit bereits befüllter Row
+
+        row1.AddValue(rand.NextDouble() * 100);
+        row2.AddValues(new double[] { rand.NextDouble() * 100,  
+          rand.NextDouble() * 100 });
+        row3.AddValue(11.0);
+        // TODO after implemention of modifyValue: row1.ModifyValue(row1.getval[i]+100, i);
+      }
     }
   }