Index: trunk/sources/HeuristicLab.Visualization.Test/HeuristicLab.Visualization.Test.csproj
===================================================================
--- trunk/sources/HeuristicLab.Visualization.Test/HeuristicLab.Visualization.Test.csproj	(revision 864)
+++ trunk/sources/HeuristicLab.Visualization.Test/HeuristicLab.Visualization.Test.csproj	(revision 865)
@@ -52,8 +52,4 @@
   </PropertyGroup>
   <ItemGroup>
-    <Reference Include="nunit.framework, Version=2.4.8.0, Culture=neutral, PublicKeyToken=96d09a1eb7f44a77, processorArchitecture=MSIL">
-      <SpecificVersion>False</SpecificVersion>
-      <HintPath>NUnit-2.4.8-bin\nunit.framework.dll</HintPath>
-    </Reference>
     <Reference Include="System" />
     <Reference Include="System.Core">
@@ -74,11 +70,10 @@
     <Compile Include="HeuristicLabVisualizationTestApplication.cs" />
     <Compile Include="HeuristicLabVisualizationTestPlugin.cs" />
-    <Compile Include="LineChartTestForm.cs">
+    <Compile Include="LegendForm.cs">
       <SubType>Form</SubType>
     </Compile>
-    <Compile Include="LineChartTestForm.Designer.cs">
-      <DependentUpon>LineChartTestForm.cs</DependentUpon>
+    <Compile Include="LegendForm.Designer.cs">
+      <DependentUpon>LegendForm.cs</DependentUpon>
     </Compile>
-    <Compile Include="LineChartTests.cs" />
     <Compile Include="MainForm.cs">
       <SubType>Form</SubType>
@@ -94,8 +89,4 @@
   </ItemGroup>
   <ItemGroup>
-    <ProjectReference Include="..\HeuristicLab.Core\HeuristicLab.Core.csproj">
-      <Project>{F43B59AB-2B8C-4570-BC1E-15592086517C}</Project>
-      <Name>HeuristicLab.Core</Name>
-    </ProjectReference>
     <ProjectReference Include="..\HeuristicLab.PluginInfrastructure\HeuristicLab.PluginInfrastructure.csproj">
       <Project>{94186A6A-5176-4402-AE83-886557B53CCA}</Project>
@@ -108,7 +99,4 @@
   </ItemGroup>
   <ItemGroup>
-    <EmbeddedResource Include="LineChartTestForm.resx">
-      <DependentUpon>LineChartTestForm.cs</DependentUpon>
-    </EmbeddedResource>
     <EmbeddedResource Include="MainForm.resx">
       <DependentUpon>MainForm.cs</DependentUpon>
Index: trunk/sources/HeuristicLab.Visualization.Test/LegendForm.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Visualization.Test/LegendForm.Designer.cs	(revision 865)
+++ trunk/sources/HeuristicLab.Visualization.Test/LegendForm.Designer.cs	(revision 865)
@@ -0,0 +1,33 @@
+﻿namespace HeuristicLab.Visualization.Test {
+  partial class LegendForm {
+    /// <summary>
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary>
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Windows Form Designer generated code
+
+    /// <summary>
+    /// Required method for Designer support - do not modify
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      this.components = new System.ComponentModel.Container();
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.Text = "LegendForm";
+    }
+
+    #endregion
+  }
+}
Index: trunk/sources/HeuristicLab.Visualization.Test/LegendForm.cs
===================================================================
--- trunk/sources/HeuristicLab.Visualization.Test/LegendForm.cs	(revision 865)
+++ trunk/sources/HeuristicLab.Visualization.Test/LegendForm.cs	(revision 865)
@@ -0,0 +1,16 @@
+﻿using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Data;
+using System.Drawing;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+
+namespace HeuristicLab.Visualization.Test {
+  public partial class LegendForm : Form {
+    public LegendForm() {
+      InitializeComponent();
+    }
+  }
+}
Index: trunk/sources/HeuristicLab.Visualization.Test/MainForm.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Visualization.Test/MainForm.Designer.cs	(revision 864)
+++ trunk/sources/HeuristicLab.Visualization.Test/MainForm.Designer.cs	(revision 865)
@@ -26,4 +26,5 @@
       this.canvasUI = new HeuristicLab.Visualization.CanvasUI();
       this.label2 = new System.Windows.Forms.Label();
+      this.legendButton = new System.Windows.Forms.Button();
       this.SuspendLayout();
       // 
@@ -33,5 +34,5 @@
       this.canvasUI.MouseEventListener = null;
       this.canvasUI.Name = "canvasUI";
-      this.canvasUI.Size = new System.Drawing.Size(800, 600);
+      this.canvasUI.Size = new System.Drawing.Size(800, 571);
       this.canvasUI.TabIndex = 3;
       this.canvasUI.Text = "canvasUI";
@@ -47,4 +48,14 @@
       this.label2.Text = "Canvas";
       // 
+      // legendButton
+      // 
+      this.legendButton.Location = new System.Drawing.Point(12, 606);
+      this.legendButton.Name = "legendButton";
+      this.legendButton.Size = new System.Drawing.Size(75, 23);
+      this.legendButton.TabIndex = 5;
+      this.legendButton.Text = "Legend";
+      this.legendButton.UseVisualStyleBackColor = true;
+      this.legendButton.Click += new System.EventHandler(this.legendButton_Click);
+      // 
       // MainForm
       // 
@@ -52,4 +63,5 @@
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
       this.ClientSize = new System.Drawing.Size(822, 637);
+      this.Controls.Add(this.legendButton);
       this.Controls.Add(this.label2);
       this.Controls.Add(this.canvasUI);
@@ -65,4 +77,5 @@
     private HeuristicLab.Visualization.CanvasUI canvasUI;
     private System.Windows.Forms.Label label2;
+    private System.Windows.Forms.Button legendButton;
   }
 }
Index: trunk/sources/HeuristicLab.Visualization.Test/MainForm.cs
===================================================================
--- trunk/sources/HeuristicLab.Visualization.Test/MainForm.cs	(revision 864)
+++ trunk/sources/HeuristicLab.Visualization.Test/MainForm.cs	(revision 865)
@@ -115,4 +115,9 @@
       lastActualPoint = actualPoint;
     }
+
+    private void legendButton_Click(object sender, System.EventArgs e) {
+      LegendForm form = new LegendForm();
+      form.Show();
+    }
   }
 }